# Nitrogen LevelDB Store 

Nitrogen is a platform for building connected devices.  Nitrogen provides the authentication, authorization, and real time message passing framework so that you can focus on your device and application.  All with a consistent development platform that leverages the ubiquity of Javascript.

This is the leveldb storage backend for devices to store credential information.

### Node.js device 

1. `npm install nitrogen-leveldb-store`

### Documentation

Documentation for the Nitrogen client library can be found online at the [API endpoint](https://api.nitrogen.io/docs/) or in the npm module itself in `docs`.

### Contributing to the project.

1. Fork this repo.
2. If you are building on Windows, make sure to fetch all of the node-gyp dependencies as explained here: https://github.com/TooTallNate/node-gyp#installation 
2. Fetch and install its node.js dependencies: `npm install`
3. Run a Nitrogen server locally that the tests can run against.
4. Run the tests to make sure everything is setup correctly: `npm test`
5. Make your change as a clean commit for a pull request.
6. Make sure there is a test to cover new functionality so nobody can break it in the future without us knowing.
7. Submit it as a pull request to the project.

## How to contribute

1.  Feedback:  We'd love feedback on what problems you are using Nitrogen to solve.  Obviously, we'd also like to hear about where you ran into sharp edges and dead ends.   Drop me a message at timfpark@gmail.com or file an issue with us above.
2.  Pull requests:  If you'd like to tackle an issue, fork the repo, create a clean commit for the fix or enhancement with tests if necessary, and send us a pull request. This is also the path to becoming a core committer for the project for folks that are interested in contributing in more depth.

## Other Projects

Nitrogen has three subprojects that you should have a look at as well.

1. [service](https://github.com/nitrogenjs/service): The core Nitrogen service responsible for managing users, devices, and messaging between them.
2. [admin](https://github.com/nitrogenjs/admin): An administrative tool for managing the Nitrogen service.
3. [camera](https://github.com/nitrogenjs/camera): A sample device application that connects camera(s) to the Nitrogen service.
