var assert = require('assert')
  , config = require('../config');

describe('leveldb store', function() {

	it('should be set, get, and then delete a value', function(done) {

	    config.store.set('test', { foo: 1 }, function(err) {
            assert.ifError(err);

            config.store.get('test', function(err, value) {
                assert.ifError(err);

                assert.equal(typeof value, 'object');
                assert.equal(value.foo, 1);

                config.store.delete('test', function(err) {
                    assert.ifError(err);

                    config.store.get('test', function(err, value) {
                        assert.ifError(err);

                        assert.equal(value, undefined);
                        done();
                    });
                });
            });
        });

    });
});
